<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Docente extends Model
{
    protected $table = "view_personal";
    //protected $primaryKey = 'id';
    //protected $fillable = ['rfc', 'curp', 'nombre', 'apellido_paterno', 'apellido_materno', 'telefono', 'estado'];

    //Función - Es la relacion entre Materia
    public function AsignacionMateria()
    {
        return $this->hasMany('App\AsignacionMateriaDocente', 'id', 'id');
    }

    public function docenteEvaluacionDEP()
    {
        return $this->hasMany('App\DocenteEvaluacionDEP', 'id', 'id');
    }

    public function docenteEvaluacionA()
    {
        return $this->hasMany('App\DocenteEvaluacionA', 'id', 'id');
    }
}
